Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599310 - Documentation link on Content Host Registration page leads to upstream docs [NEEDINFO]
Summary: Documentation link on Content Host Registration page leads to upstream docs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: Jameer Pathan
URL:
Whiteboard:
: 1625549 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 13:16 UTC by Corey Welton
Modified: 2019-04-01 20:27 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-2.0.1.11-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:31:19 UTC
Target Upstream Version:
pcreech: needinfo? (sshtein)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24218 None None None 2018-09-26 15:54:08 UTC

Description Corey Welton 2018-07-09 13:16:08 UTC
Description of problem:
Documentation linked from Registration page points to katello plugin docs on theforeman.org, not RH docs

Version-Release number of selected component (if applicable):
6.4 snap 10

How reproducible:


Steps to Reproduce:
1.  Navigate to Content Host Registration page in UI
2.  Note the text at the bottom, "Learn more about these packages in the Documentation"
3. Click the 'Documentation' link

Actual results:
User is taken to foreman katello plugin docs

Expected results:
RH Docs

Additional info:

Comment 2 Adam Ruzicka 2018-07-10 10:24:48 UTC
Created redmine issue http://projects.theforeman.org/issues/24218 from this bug

Comment 3 Jonathon Turel 2018-09-06 20:52:06 UTC
Corey, do you happen to know where the right docs are?

Comment 5 Ivan Necas 2018-09-12 08:42:23 UTC
*** Bug 1625549 has been marked as a duplicate of this bug. ***

Comment 8 Patrick Creech 2018-09-19 18:15:04 UTC
Shimon,

The cherry-pick picked clean, but seems to be failing unit tests.  Can you take a look at satellite6/foreman_theme_satellite/merge_requests/170 ??

Comment 10 Jameer Pathan 2018-09-24 10:49:27 UTC
Verified:

@satellite 6.4.0 snap 23

Steps:
1.  Navigate to Content Host Registration page in UI
2.  Note the text at the bottom, "Learn more about these packages in the Documentation"
3. Click the 'Documentation' link

Observation:
'Documentation' link leads to RH doc.

Comment 11 Bryan Kearney 2018-10-16 19:31:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.